/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.mangue.client.gui.budget;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.mangue.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class BudgetParamView extends javax.swing.JDialog {


    private EODisplayGroup eodOrgan;
	private ZEOTable myEOTableOrgan;
	private ZEOTableModel myTableModelOrgan;
	private TableSorter myTableSorterOrgan;

    /** Creates new form TemplateJDialog */
    public BudgetParamView(java.awt.Frame parent, boolean modal, EODisplayGroup eoOrgan ) {
        super(parent, modal);

        this.eodOrgan = eodOrgan;
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable2 = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        viewTableLolf = new javax.swing.JPanel();
        btnFermer = new javax.swing.JButton();
        jLabel5 = new javax.swing.JLabel();
        viewTableImputation = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        viewTableModePaiement = new javax.swing.JPanel();
        jLabel8 = new javax.swing.JLabel();
        viewTableTypeCredit = new javax.swing.JPanel();
        jLabel9 = new javax.swing.JLabel();
        btnDelLolf = new javax.swing.JButton();
        btnAddLolf = new javax.swing.JButton();
        btnDeModePaiement = new javax.swing.JButton();
        btnAddModePaiement = new javax.swing.JButton();
        btnDelCompte = new javax.swing.JButton();
        btnAddCompte = new javax.swing.JButton();
        btnDelTypeCredit = new javax.swing.JButton();
        btnAddTypeCredit = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        viewTableCodeExer = new javax.swing.JPanel();
        btnAddCodeExer = new javax.swing.JButton();
        btnDelCodeExer = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        popupExercice = new javax.swing.JComboBox();

        viewTable2.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTable2.setLayout(new java.awt.BorderLayout());

        jLabel7.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel7.setForeground(new java.awt.Color(153, 153, 255));
        jLabel7.setText("Actions LOLF");

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Paramétrages Budgétaires");

        viewTableLolf.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableLolf.setLayout(new java.awt.BorderLayout());

        btnFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnFermerActionPerformed(evt);
            }
        });

        jLabel5.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel5.setForeground(new java.awt.Color(153, 153, 255));
        jLabel5.setText("Actions LOLF");

        viewTableImputation.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableImputation.setLayout(new java.awt.BorderLayout());

        jLabel6.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel6.setForeground(new java.awt.Color(153, 153, 255));
        jLabel6.setText("Comptes d'Imputations");

        viewTableModePaiement.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableModePaiement.setLayout(new java.awt.BorderLayout());

        jLabel8.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel8.setForeground(new java.awt.Color(153, 153, 255));
        jLabel8.setText("Modes de Paiement");

        viewTableTypeCredit.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableTypeCredit.setLayout(new java.awt.BorderLayout());

        jLabel9.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel9.setForeground(new java.awt.Color(153, 153, 255));
        jLabel9.setText("Types de crédit");

        jLabel10.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel10.setForeground(new java.awt.Color(153, 153, 255));
        jLabel10.setText("Codes d'achats");

        viewTableCodeExer.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableCodeExer.setLayout(new java.awt.BorderLayout());

        jLabel1.setText("Exercice : ");

        popupExercice.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(layout.createSequentialGroup()
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                .add(layout.createSequentialGroup()
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                        .add(viewTableModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 246, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 246, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(2, 2, 2)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                        .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(btnDelLolf, 0, 0, Short.MAX_VALUE)
                                            .add(btnAddLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(btnDeModePaiement, 0, 0, Short.MAX_VALUE)
                                            .add(btnAddModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                                .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 157, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(10, 10, 10)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(layout.createSequentialGroup()
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                        .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableTypeCredit, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 286, Short.MAX_VALUE)
                                        .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 286, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(btnDelTypeCredit, 0, 0, Short.MAX_VALUE)
                                            .add(btnAddTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(btnDelCompte, 0, 0, Short.MAX_VALUE)
                                            .add(btnAddCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                                .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 278, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 286, Short.MAX_VALUE)
                                .add(viewTableCodeExer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 286, Short.MAX_VALUE))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                .add(btnDelCodeExer, 0, 0, Short.MAX_VALUE)
                                .add(btnAddCodeExer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 124, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(popupExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 26, Short.MAX_VALUE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel5)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel6)
                        .add(jLabel10)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnAddLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(viewTableLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(viewTableImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(btnAddCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel8)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(btnAddModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnDeModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(viewTableModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(layout.createSequentialGroup()
                                .add(jLabel9)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(btnAddTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnDelTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(viewTableTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                    .add(viewTableCodeExer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(btnAddCodeExer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelCodeExer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(26, 26, 26)
                .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(19, 19, 19))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-962)/2, (screenSize.height-656)/2, 962, 656);
    }// </editor-fold>//GEN-END:initComponents

    private void btnFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnFermerActionPerformed
        // TODO add your handling code here:
        dispose();
    }//GEN-LAST:event_btnFermerActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	BudgetParamView dialog = new BudgetParamView(new javax.swing.JFrame(), true, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }






    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAddCodeExer;
    protected javax.swing.JButton btnAddCompte;
    protected javax.swing.JButton btnAddLolf;
    protected javax.swing.JButton btnAddModePaiement;
    protected javax.swing.JButton btnAddTypeCredit;
    protected javax.swing.JButton btnDeModePaiement;
    protected javax.swing.JButton btnDelCodeExer;
    protected javax.swing.JButton btnDelCompte;
    protected javax.swing.JButton btnDelLolf;
    protected javax.swing.JButton btnDelTypeCredit;
    private javax.swing.JButton btnFermer;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JComboBox popupExercice;
    private javax.swing.JPanel viewTable2;
    private javax.swing.JPanel viewTableCodeExer;
    private javax.swing.JPanel viewTableImputation;
    private javax.swing.JPanel viewTableLolf;
    private javax.swing.JPanel viewTableModePaiement;
    private javax.swing.JPanel viewTableTypeCredit;
    // End of variables declaration//GEN-END:variables

    private void initGui() {
        
    	setTitle("Paramétrage BUDGETAIRE");
    	
    	btnFermer.setIcon(CocktailIcones.ICON_CLOSE);
    	btnAddLolf.setIcon(CocktailIcones.ICON_ADD);
    	btnDelLolf.setIcon(CocktailIcones.ICON_DELETE);
    	btnAddCompte.setIcon(CocktailIcones.ICON_ADD);
    	btnDelCompte.setIcon(CocktailIcones.ICON_DELETE);
    	btnAddModePaiement.setIcon(CocktailIcones.ICON_ADD);
    	btnDeModePaiement.setIcon(CocktailIcones.ICON_DELETE);
    	btnAddTypeCredit.setIcon(CocktailIcones.ICON_ADD);
    	btnDelTypeCredit.setIcon(CocktailIcones.ICON_DELETE);
    	btnAddCodeExer.setIcon(CocktailIcones.ICON_ADD);
    	btnDelCodeExer.setIcon(CocktailIcones.ICON_DELETE);
        
       	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

//		// IMPUTATIONS
//		ZEOTableModelColumn col = new ZEOTableModelColumn(eodOrgan, EOBudgetParam.TO_ORGAN_KEY+"."+EOOrgan.ORG_CR_KEY, "CR", 125);
//		col.setAlignment(SwingConstants.LEFT);
//		myCols.add(col);
//
		myTableModelOrgan = new ZEOTableModel(eodOrgan , myCols);
		myTableSorterOrgan  = new TableSorter(myTableModelOrgan );

		myEOTableOrgan = new ZEOTable(myTableSorterOrgan);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterOrgan.setTableHeader(myEOTableOrgan.getTableHeader());		

		myEOTableOrgan.setSelectionBackground(CocktailConstantes.COLOR_SELECT_NOMENCLATURES);
		myEOTableOrgan.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableOrgan.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableImputation.setLayout(new BorderLayout());
		viewTableImputation.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableImputation.removeAll();
		viewTableImputation.add(new JScrollPane(myEOTableOrgan), BorderLayout.CENTER);

		

    }


}
